Name:          MutabilityDetector
Version:       0.9.5
Release:       1%{?dist}
Summary:       Lightweight analysis tool for detecting mutability in Java classes
License:       ASL 2.0
URL:           http://mutabilitydetector.org/
Source0:       https://github.com/MutabilityDetector/MutabilityDetector/archive/%{name}-%{version}.tar.gz
Source1:       MutabilityDetector.xml

BuildRequires: docbook-dtds
BuildRequires: docbook-style-xsl
BuildRequires: libxslt
BuildRequires: maven-local
BuildRequires: mvn(com.google.classpath-explorer:classpath-explorer)
BuildRequires: mvn(com.google.code.findbugs:jsr305)
BuildRequires: mvn(com.google.guava:guava)
BuildRequires: mvn(commons-cli:commons-cli)
BuildRequires: mvn(junit:junit)
BuildRequires: mvn(org.hamcrest:hamcrest-core)
BuildRequires: mvn(org.hamcrest:hamcrest-library)
BuildRequires: mvn(org.codehaus.mojo:build-helper-maven-plugin)
BuildRequires: mvn(org.mockito:mockito-core)
BuildRequires: mvn(org.sonatype.oss:oss-parent:pom:)
BuildRequires: mvn(org.ow2.asm:asm-debug-all)

BuildArch:     noarch

%description
Mutability Detector is designed to analyse Java classes and
report on whether instances of a given class are immutable.

%package javadoc
Summary:       Javadoc for %{name}

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}-%{name}-%{version}
find -name '*.class' -print -delete
find -name '*.jar' -print -delete

# org.apache.maven.wagon:wagon-scm:2.9
# org.apache.maven.scm:maven-scm-manager-plexus:1.9.4
%pom_xpath_remove pom:build/pom:extensions

%pom_remove_plugin :findbugs-maven-plugin
%pom_remove_plugin org.codehaus.mojo:license-maven-plugin
# Unwanted tasks
%pom_remove_plugin :maven-shade-plugin
%pom_remove_plugin :maven-source-plugin

# JAR executable
%pom_add_plugin org.apache.maven.plugins:maven-jar-plugin:2.6 . "
<configuration>
  <archive>
    <manifest>
      <addClasspath>false</addClasspath>
      <mainClass>org.mutabilitydetector.cli.RunMutabilityDetector</mainClass>
    </manifest>
  </archive>
</configuration>"

sed -i "s|org.mockito.asm|org.objectweb.asm|" \
 src/test/java/org/mutabilitydetector/checkers/AccessModifierQueryTest.java

%mvn_file org.mutabilitydetector:%{name} %{name}

%build

%mvn_build

xsltproc \
 --nonet --stringparam man.output.quietly 1 \
 --stringparam funcsynopsis.style ansi \
 --stringparam man.authors.section.enabled 0 \
 --stringparam man.copyright.section.enabled 0 \
 /usr/share/sgml/docbook/xsl-stylesheets/manpages/docbook.xsl %{SOURCE1}

%install
%mvn_install

%jpackage_script org.mutabilitydetector.cli.RunMutabilityDetector "" "" %{name}:guava:objectweb-asm/asm-debug-all:commons-cli:hamcrest/core:classpath-explorer:jsr-305 %{name} true

mkdir -p %{buildroot}%{_mandir}/man1
install -pm 644 %{name}.1 %{buildroot}%{_mandir}/man1/

%files -f .mfiles
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.*
%doc README.md
%license LICENSE

%files javadoc -f .mfiles-javadoc
%license LICENSE

%changelog
* Wed Apr 06 2016 gil cattaneo <puntogil@libero.it> 0.9.5-1
- initial rpm
